// SetRandomRotationHelper.js
// Version: 0.0.1
// Event: Lens Initialized
// Description: Rotates object attached at a random angle with a random speed

//@input float minSpeed = 0.03
//@input float maxSpeed = 0.1

var x = Math.random();
var y = Math.random();
var z = Math.random();

var rotspeed = 0.03;

var newRot = new vec3(0,0,0);
var transform = script.getSceneObject().getTransform();

var speed = Math.random() * (script.maxSpeed - script.minSpeed) + script.minSpeed;
var deltaRot = new vec3(x*speed, y*speed, z*speed);

script.createEvent("UpdateEvent").bind(function() {
    newRot = newRot.add(deltaRot);
    transform.setWorldRotation(quat.fromEulerAngles(newRot.x, newRot.y, newRot.z));
});